//=============================================================================
// utb_GBloodDrop.
//=============================================================================
class UTB_GBloodDrop extends Blood2;

simulated function PostBeginPlay()
{
	if (Level.NetMode != NM_DedicatedServer)
	{
		Velocity = (Vector(Rotation) + VRand()) * (class'MB6.MB'.default.SpurtLevel * FRand() + 5);
		Velocity.z += (FRand()*class'MB6.MB'.default.SpurtLevel) + 15.0;
		Velocity.z *= -1;
		Drawscale = (FRand()*0.06) + 0.025;
		LifeSpan = (FRand()*5) + 1.5;
		SpawnDrop();
	}
	Super.PostBeginPlay();
}

simulated function SpawnDrop()
{
	local Actor A;

	A = spawn(class'UT_BloodDrop');
	A.RemoteRole = ROLE_SimulatedProxy;
}

simulated function HitWall( vector HitNormal, actor Wall )
{
	if (Level.NetMode != NM_DedicatedServer)
	{

		if (Rand(2) == 1)
		  if (Rand(2) == 1)
			Drawscale = Drawscale + 0.0025;
		  else
			Drawscale = Drawscale - 0.0025;
	}
}

defaultproperties
{
     bHighDetail=True
     Physics=PHYS_Falling
     bStatic=False
     LifeSpan=2.000000
     DrawType=DT_Sprite
     Style=STY_Masked
     Texture=Texture'BloodSGrn'
     DrawScale=0.0200000
     AmbientGlow=160
     bCollideWorld=True
     bBounce=True
     NetPriority=2.000000
}
