//=============================================================================
// utb_BloodDrop.
//=============================================================================
class UTB_BloodDrop extends Blood2;

simulated function PostBeginPlay()
{
	if (Level.NetMode != NM_DedicatedServer)
	{
		Velocity = (Vector(Rotation) + VRand()) * ((class'MB6.MB'.default.SpurtLevel * FRand()) + 20);
		Velocity.z += (FRand() * class'MB6.MB'.default.SpurtLevel) + class'MB6.MB'.default.SpurtLevel;
		if ( !Level.bDropDetail )
			Texture = MultiSkins[Rand(8)];
		Drawscale = (FRand()*0.35) + 0.0125;
		LifeSpan = (FRand()*7) + 2.5;
		SpawnDrop();
	}
	Super.PostBeginPlay();
}

simulated function SpawnDrop()
{
	local Actor A;

	A = spawn(class'UT_BloodDrop');
	A.RemoteRole = ROLE_SimulatedProxy;
}

simulated function HitWall( vector HitNormal, actor Wall )
{
        if (Level.NetMode != NM_DedicatedServer)
	{
		if (Rand(2) == 1)
		  if (Rand(2) == 1)
			Drawscale = Drawscale + 0.01;
		  else
			Drawscale = Drawscale - 0.01;
	}
}

defaultproperties
{
     bHighDetail=True
     Physics=PHYS_Falling
     bStatic=False
     LifeSpan=3.500000
     DrawType=DT_Sprite
     Style=STY_Masked
     Texture=Texture'Botpack.Blood.BD3'
     DrawScale=0.300000
     AmbientGlow=180
     MultiSkins(0)=Texture'Botpack.Blood.BD3'
     MultiSkins(1)=Texture'Botpack.Blood.BD4'
     MultiSkins(2)=Texture'Botpack.Blood.BD6'
     MultiSkins(3)=Texture'Botpack.Blood.BD9'
     MultiSkins(4)=Texture'Botpack.Blood.BD10'
     MultiSkins(5)=Texture'Botpack.Blood.BD3'
     MultiSkins(6)=Texture'Botpack.Blood.BD4'
     MultiSkins(7)=Texture'Botpack.Blood.BD6'
     bCollideWorld=True
     bBounce=True
     NetPriority=2.000000
}
