//=============================================================================
// utb_BloodDrop2.
//=============================================================================
class UTB_BloodDrop2 extends UTB_BloodDrop;

var int r, g;

simulated function PostBeginPlay()
{
	if (Level.NetMode != NM_DedicatedServer)
	{
		Velocity = (Vector(Rotation) + VRand()) * (class'MB6.MB'.default.SpurtLevel2 * FRand() + class'MB6.MB'.default.SpurtLevel);
		r = (FRand()*class'MB6.MB'.default.SpurtLevel) + 5;
		Velocity.x += r;
		Velocity.z += r;
		g = Rand(5) + 1;
		SpawnDrop();
	}
	Super.PostBeginPlay();
}

simulated function HitWall( vector HitNormal, actor Wall )
{
	if (Level.NetMode != NM_DedicatedServer)
	{
		Velocity.z += r;
		Velocity.z *= -1;
		r = r + g;
	}
}

simulated function Landed( vector HitNormal )
{
	if (Level.NetMode != NM_DedicatedServer)
	{
		Velocity.z -= r;
	}
}

defaultproperties
{
     AmbientGlow=90
}
