//=============================================================================
// UTB_BloodPool.
//=============================================================================
class UTB_BloodPool extends Effects;

simulated function PostBeginPlay()
{
	if (Level.NetMode != NM_DedicatedServer)
	{
		LifeSpan = (FRand() * 18) + 6.0;
		DrawScale = (Frand() * 0.7) + 0.085;
		PlayAnim ( 'Explo', 0.005 );
	}
	Super.PostBeginPlay();
}

simulated function SpawnPool()
{
	local Actor A;

	A = spawn(class'BloodPool');
}

simulated function AnimEnd()
{
}

defaultproperties
{
     bHighDetail=True
     Physics=PHYS_Falling
     LifeSpan=18.00000
     DrawScale=0.30000
     AmbientGlow=180
     RemoteRole=ROLE_SimulatedProxy
     AnimSequence=Explo
     DrawType=DT_Mesh
     Mesh=LodMesh'UnrealShare.BSpot'
     bCollideWorld=True
     bBounce=False
     NetPriority=2.000000
}
